UI::Util::Conversion Class Reference

Holder class for conversion results. More...

`#include <Recoder.hpp>`

Inheritance diagram for UI::Util::Conversion:
Collaboration diagram for UI::Util::Conversion:

## Public Member Functions

| Conversion (char const *const cStr, size_t const cSize)
| Constructor.
char const * | get () const
| Get conversion data.
size_t | getSize () const
| Get size (in bytes) of conversion data.
std::string | getString () const
| Get std::string copy of conversion data.

## Detailed Description

Holder class for conversion results.

## Member Function Documentation

## get()

char const * UI::Util::Conversion::get | ( |  | ) | const

Get conversion data.

Note
  : This is a C-String, i.e., it always ends in a zero-byte. However, there also may be zero-bytes in between (depending on the encoding); you would also need getSize() in that case.

## getString()

std::string UI::Util::Conversion::getString | ( |  | ) | const

Get std::string copy of conversion data.

Note
  This copies the whole conversion (not only the C-String) into the std::string (

See also
  get()).

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp